Subject: [i2rs] consensus on I2RS protocol and model Requirements WAS(Re: consensus on I2RS protocol and model

From: Jamal Hadi Salim <[email-masked]>
Date: Sat, 19 Apr 2014 06:43:33 -0400

So 54 emails later....
I still dont see the requirements. Of course even before London i was asking for
what the requirements are and got nothing. I ended putting a draft
handwaving what
the requirements are. Nobody agreed or disagreed.
Yes, there is a protocols requirement draft that just died. There is
nothing for the model.

Folks,  to solve engineering problems  (The "E" in IETF) dont we need
requirements first?
There are use cases in place. Nothing so far has been extracted out of
that to define what
the requirements for a protocol/model are.
If Yang/Netconf/Restconf is the answer - what is the question? ;->

Jan is the only person who has actually addressed this issue. To quote:

>
> The I2RS requirements have been gathered, and Netconf and Yang have been
> analyzed against the requirements by Andy and Dean at the last IETF. I
> find no fault in their analysis, so IMHO Netconf / Yang (with possibly
> small modifications) will meet the technical requirements of I2RS.
>

Andy, Dean and myself included presented based on our view of what the
requirements are.
There are no requirements spelt out anywhere. Why is this such a hard
question to ask
around an engineering forum?

cheers,
jamal

On Fri, Apr 11, 2014 at 1:50 PM, Edward Crabbe <[email-masked]> wrote:
> Dear I2RSers,
>
>
>   At the last I2RS WG meeting there was a great deal of conversation
> regarding selection of both modeling language and underlying transport
> protocol.  Consensus at the time was to make use of Yang and (NetConf or
> RestConf) (unclear).
>
>   Before coming to a final consensus, we'd like to give people adequate time
> to review source material, marshall arguments and discuss on the mailing
> list.  To this end, we're asking that interested parties do just this over
> the course of the next ~two weeks. Following that period, on 4/28, we'll be
> initiating a consensus call that will last an additional two weeks, with the
> aim of converging modeling language / protocol by Friday, 5/9.
>
> The consensus call should also generate proposals for any material changes
> required to the underlying protocols.  These proposals in turn will form the
> basis for a later draft including gap analysis and said changes.  Those
> strongly in favor of one protocol over another should be prepared to
> contribute to this analysis.
>
>
> best,
>
>   -ed
>
> _______________________________________________
> i2rs mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i2rs
>

---

From: Jeffrey Haas <[email-masked]>
Date: Wed, 30 Apr 2014 20:30:21 -0400

> So 54 emails later....
[...]
And now I'm many beyond that... :-)

> around an engineering forum?

I have to agree that we're not converging on requirements in an explicit
form.

What I do see is that we're covering implicit forms of the requirements by
discussing the proposed solutions and the issues with them.

I'll remind all sides that I created wiki stubs for these to be documented.
In the absence of someone filling them in, I'll write down some of my own
observations early next week.

http://wiki.tools.ietf.org/wg/i2rs/trac/wiki/ForcesAnalysis
http://wiki.tools.ietf.org/wg/i2rs/trac/wiki/NetconfYangAnalysis

-- Jeff